Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQHttpResponseHeader Class Reference
[network module]

The TQHttpResponseHeader class contains response header information for HTTP. More...

`#include <ntqhttp.h>`

Inherits TQHttpHeader.

List of all member functions.

## Public Members

- TQHttpResponseHeader ()
- TQHttpResponseHeader ( const TQHttpResponseHeader & header )
- int statusCode () const
- TQString reasonPhrase () const
- virtual int majorVersion () const
- virtual int minorVersion () const

## Detailed Description

The TQHttpResponseHeader class contains response header information for HTTP.

This class is used by the TQHttp class to report the header information that the client received from the server.

HTTP responses have a status code that indicates the status of the response. This code is a 3-digit integer result code (for details see to RFC 1945). In addition to the status code, you can also specify a human-readable text that describes the reason for the code ("reason phrase"). This class allows you to get the status code and the reason phrase.

See also TQHttpRequestHeader, TQHttp, and Input/Output and Networking.

## Member Function Documentation

### TQHttpResponseHeader::TQHttpResponseHeader ()

Constructs an empty HTTP response header.

### TQHttpResponseHeader::TQHttpResponseHeader ( const TQHttpResponseHeader & header )

Constructs a copy of header.

### int TQHttpResponseHeader::majorVersion () const`[virtual]`

Returns the major protocol-version of the HTTP response header.

See also minorVersion(), statusCode(), and reasonPhrase().

Reimplemented from TQHttpHeader.

### int TQHttpResponseHeader::minorVersion () const`[virtual]`

Returns the minor protocol-version of the HTTP response header.

See also majorVersion(), statusCode(), and reasonPhrase().

Reimplemented from TQHttpHeader.

### TQString TQHttpResponseHeader::reasonPhrase () const

Returns the reason phrase of the HTTP response header.

See also statusCode(), majorVersion(), and minorVersion().

### int TQHttpResponseHeader::statusCode () const

Returns the status code of the HTTP response header.

See also reasonPhrase(), majorVersion(), and minorVersion().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.